import { http } from "@/utils/http"

// M3收入管理-主列表
export function queryM3ManageList(data?) {
  return http.post<any, AxiosResponseRes>('/m3/income/findBySearch', { data })
}

// M3收入管理-新增
export function addM3ManageInfo(data?) {
  return http.post<any, AxiosResponseRes>('/m3/income/add', { data })
}

// M3收入管理-修改
export function updateM3ManageInfo(data?) {
  return http.post<any, AxiosResponseRes>('/m3/income/update', { data })
}

// M3收入管理-下载
export function downloadBatch(data?) {
  return http.post<any, AxiosResponseRes>('/m3/income/download', { data, responseType: 'arraybuffer' })
}

// 获取所有的产品类型
export function findAllProjectType(params?) {
  return http.get<any, AxiosResponseRes>('/m3/income/findAllProjectType', { params })
}

// 获取所有运营中心
export function findAllOrg(params?) {
  return http.get<any, AxiosResponseRes>('/m3/income/findAllOrg', { params })
}

// 根据orgID获取该部门的所有人员
export function findUserByOrgId(params?) {
  return http.get<any, AxiosResponseRes>('/user/findUserByOrgId', { params })
}

// 下载M3模板
export function downloadTemplate(params?) {
return http.get<any, AxiosResponseRes>('/m3/income/downloadTemplate', { params, responseType: 'arraybuffer' })
}
