import { http } from "@/utils/http"
import { stringify } from "qs"

//#region ************ 组织机构管理index ************
// 组织个人列表
export function queryOrgList(params?) {
  return http.get("/org/findRootOrgTreeNodeNumber", { params });
}

export function queryRoleList(params?) {
  return http.get("/role/do_list", { params });
}

export function queryOrgUser(params?) {
  return http.get("/org/findOrgUserSearch", { params });
}

export function addOrUpdateGroup(url?, data?) {
  return http.post(url, { data })
}

export function deleteGroups(data?) {
  return http.post('/role/do_delete', { data })
}

export function findGroupRole(params?) {
  return http.get('/role/findGroupRole', { params })
}

export function doGetUser(params?, isStringify?) {
  if (!isStringify) return http.get('/user/do_get', { params })
  return http.get(`/user/do_get?${ stringify(params) }`)
}
//#endregion

//#region ************ 组织机构管理edit-role ************
export function findPermisionTree(params?) {
  return http.get("/permission/findPermisionTree", { params })
}

export function getRole(params?, isStringify?) {
  if (!isStringify) return http.get("/role/do_get", { params })
  return http.get(`/role/do_get?${ stringify(params) }`)
}
//#endregion

//#region ************ 组织机构管理org-info ************
export function findNodeByParentIdNumber(params?, isStringify?) {
  if (!isStringify) return http.get("/org/findNodeByParentIdNumber", params)
  return http.get(`/org/findNodeByParentIdNumber?${stringify(params)}`)
}

export function doUserList(params?, isStringify?) {
  if (!isStringify) return http.get("/user/do_list", { params })
  return http.get(`/user/do_list?${stringify(params)}`)
}

export function doAddOrg(data?) {
  return http.post("/org/do_add", { data })
}

export function doDeleteOrg(data?) {
  return http.post("/org/do_delete", { data })
}

export function doAdjustDepartment(data?) {
  return http.post("/user/do_adjustDepartment", { data })
}

export function doResetPassword(data?) {
  return http.post("/user/do_resetpassword", { data })
}

export function doUserModifyEnabled(data?) {
  return http.post('/user/do_modifyEnabled', { data })
}
//#endregion

//#region ************ 组织机构管理personal-detail ************
export function validatorUserName(params?) {
  return http.get('/user/validatorLoginName', params)
 }
//#endregion

//#region ************ 组织机构管理personal-info ************
export function addOrUpdateUser(url?, data?) {
  return http.post(url, { data })
}
//#endregion

//#region ************ 组织机构管理role-info ************
export function findOrgAndUserTreeNode(params?, isStringify?) {
  if (!isStringify || stringify(params) == '') return http.get('/org/findOrgAndUserTreeNode', { params })
  return http.get(`/org/findOrgAndUserTreeNode?${ stringify(params) }`)
}

export function doAddUserRole(data?) {
  return http.post('/role/do_addUserRole', { data })
}

export function doListByRole(params?, isStringify?) {
  if (!isStringify) return http.get('/user/do_listByRole', { params })
  return http.get(`/user/do_listByRole?${ stringify(params) }`)
}

export function doRemoveUserRole(data?) {
  return http.post('/role/do_removeUserRole', { data })
}
//#endregion
