import Decimal from "decimal.js";
import { ref } from "vue";

function ceratePureData() {
  return [
    {
      orgName: '西安运营中心',
      mTroe: '',
      orgInternalCode: '.1.',
      rowDisabled: false,
    },
    {
      orgName: '深圳运营中心',
      mTroe: '',
      orgInternalCode: '.9.',
      rowDisabled: false
    },
    {
      orgName: '上海运营中心',
      mTroe: '',
      orgInternalCode: '.2.',
      rowDisabled: false
    },
    {
      orgName: '资产管理中心',
      mTroe: '',
      orgInternalCode: '.7.',
      rowDisabled: false

    },
    {
      orgName: '合计',
      mTroe: 0,
      rowDisabled: true
    },
  ]
}

export function useProfitColumns(feildsDisabled?) {

  const profitTableData = ref<any[]>([
    {
      orgName: '西安运营中心',
      mTroe: '',
      orgInternalCode: '.1.',
      rowDisabled: false
    },
    {
      orgName: '深圳运营中心',
      mTroe: '',
      orgInternalCode: '.9.',
      rowDisabled: false
    },
    {
      orgName: '上海运营中心',
      mTroe: '',
      orgInternalCode: '.2.',
      rowDisabled: false
    },
    {
      orgName: '资产管理中心',
      mTroe: '',
      orgInternalCode: '.7.',
      rowDisabled: false
    },
    {
      orgName: '合计',
      mTroe: 0,
      rowDisabled: true
    },
  ])

  const profitFeildChange = () => {
    let sum = new Decimal(0);
    profitTableData.value.forEach((el) => {
      if (el.orgName !== '合计') {
        sum = sum.plus(new Decimal(el.mTroe === '' ? 0 : el.mTroe))
      }
    })
    profitTableData.value[profitTableData.value.length - 1].mTroe = sum
  }

  const profitColums = ref<TableColumnList>([
    {
      label: '运营中心',
      prop: 'orgName'
    },
    {
      label: '年度指标（单位：元）',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.mTroe} disabled={ feildsDisabled || row.rowDisabled } onChange={ profitFeildChange }></cy-amount-input>
        </>
      )
    }
  ])

  const setProfitTable = (fillArr) => {
    if (fillArr.length == 0) {
      console.log(ceratePureData())
      profitTableData.value = ceratePureData()
    } else {
      profitTableData.value = fillArr
    }
    profitFeildChange()
  }

  return {
    profitTableData,
    profitColums,
    setProfitTable
  }
}
