import { ref } from "vue";

export function useRoeColumns() {
  const roeTableData = ref<any[]>([])

  const roeColums = ref<any[]>([
    {
      label: '月份',
      prop: 'month'
    },
    {
      label: '当月ROE目标值（M_TROE）',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.mTROE} disabled></cy-amount-input>
        </>
      )
    },
    {
      label: '累计ROE目标值（C_TROE）',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.cTROE} disabled></cy-amount-input>
        </>
      )
    },
    {
      label: '当月ROE完成值',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.mCROE} disabled></cy-amount-input>
        </>
      )
    },
    {
      label: '累计ROE完成值',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.aCROE} disabled></cy-amount-input>
        </>
      )
    }
  ])

  return {
    roeTableData,
    roeColums
  }
}
