import { ref } from 'vue'
import { router } from '@/router/index'
import { getSessionStorage } from '@/utils/auth'

const powerList = getSessionStorage('buttons') || []

const tablePower = (item?, tab?, row?) => {
    const { tabPower, rowPower, power, satausPower } = item
    if (power && !powerList.includes(power)) {
      return false
    }
    // if (rowPower && (!row.taskName || !rowPower.includes(row.taskName))) {
    //   return false
    // }
    if (satausPower && (!satausPower.includes(row.buttonFlag))) {
      return false
    }
    // if (tabPower && !tabPower.includes(tab)) {
    //   return false
    // }
    return true
  }

export function useCompleteColumns(parentFn?:(rows?: any) => void) {
  const columns: TableColumnList = [
    {
      label: '序号',
      type: 'index',
      width: 100
    },
    {
      label: '月度',
      prop: 'date',
      showOverflowTooltip: true
    },
    {
      label: '运营中心',
      prop: 'org.name',
      showOverflowTooltip: true
    },
    {
      label: '人员',
      prop: 'user.name',
      showOverflowTooltip: true
    },
    {
      label: 'TA2完成值（元）',
      prop: 'ta2Complete',
      showOverflowTooltip: true
    },
    {
      label: '总费用（元）',
      prop: 'totalAmount',
      showOverflowTooltip: true
    },
    {
      label: '自有资金占用成本（元）',
      prop: 'ownTotalAmount',
      showOverflowTooltip: true
    },
    {
      label: '最近更新时间',
      prop: 'gmtModified',
      showOverflowTooltip: true
    },
    {
    label: "操作",
      cellRenderer: ({ index, row }) => {
        const btnList = [
          {
            msg: '修改',
            category: 'edit',
            icon: 'text-customPurple iconfont icon-edit',
            // power: 'updateFee'
          }
        ]
        const options = btnList.map(item => {
          return tablePower(item, '', row) && (
            <el-tooltip class='item' effect='dark' content={item.msg} placement='top' >
                <span class='table-icon-box'>
                <i class={item.icon} onClick={() => { handleOperate(item.category, row) }}></i>
              </span>
            </el-tooltip>
          )
        })
        return (
          <>
            <div>{ options }</div>
          </>
        )
      }
    }
  ]

  const handleOperate = (operateType, row) => {
    if (operateType == 'edit') {
      handleEdit(row)
    }
  }


  const handleEdit = (rows?: any) => {
    router.push({
      name: 'CompleteAdd',
      query: {
        type: 'edit',
        id: rows.id
      }
    })
  }

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  return {
    columns,
    tableData,
    total
  }
}
