import { ref } from 'vue'

export const saleRequiredFeilds = []

export function useManageColumns(feildsDisabled?) {
  const manageTableData = ref<any[]>([])

  // 销售费用表格
  const manageColumns: TableColumnList = [
    {
      label: '部门',
      prop: 'org',
      showOverflowTooltip: true,
    },
    {
      label: '姓名',
      prop: 'nameStr',
      showOverflowTooltip: true,
    },
    {
      label: '交通费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.trafficAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '办公费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.officeAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '差旅费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.travelAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '房租费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.rentAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '物业费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.propertyAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '水电费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.waterElectricityAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '咨询费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.consultingAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '通讯费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.communicationAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '招待费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.entertainAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '职工福利费',
      showOverflowTooltip: true,
      width: 120,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.employeeWelfareAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '无形资产推销费',
      width: 150,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.intangibleAssetPromotionAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '中介费',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.intermediaryAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '其他金额',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.otherAmount } disabled={ true }></cy-amount-input>
        </>
      )
    },
    {
      label: '管理小计',
      width: 120,
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={ row.totalAmount } disabled={ true }></cy-amount-input>
        </>
      )
    }
  ]

  return {
    manageColumns,
    manageTableData,
  }
}
