import { ref } from 'vue'

export function useColumns(parentFn?:(edit: boolean, rows: any) => void) {
  const columns: TableColumnList = [
    {
      label: '序号',
      type: 'index',
      width: 100
    },
    {
      label: '币种',
      prop: 'currency',
      showOverflowTooltip: true
    },
    {
      label: '币种名称',
      prop: 'currencyName',
      showOverflowTooltip: true
    },
    {
      label: '汇率',
      prop: 'exchangeRate',
      showOverflowTooltip: true
    },
    {
      label: '更新时间',
      prop: 'gmtModified',
      showOverflowTooltip: true
    },
      {
      label: '操作人',
      prop: 'userModified',
      showOverflowTooltip: true
    },
    {
    label: "操作",
      cellRenderer: ({ index, row }) => (
        <>
          <el-button link onClick={() => { handleEdit(row) } } v-power="updateExchangeRate" style="color: #6355FF">修改</el-button>
        </>
      )
    }
  ]

  const handleEdit = (rows?: any) => {
    parentFn(true, rows)
  }

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  return {
    columns,
    tableData,
    total,
    handleEdit
  }
}
