import { useRouter } from 'vue-router'
import { ref } from 'vue'

export function useColumns() {
  const columns: TableColumnList = [
    {
      label: '用户ip',
      prop: 'clientIp',
      showOverflowTooltip: true
    },
    {
      label: '操作人',
      prop: 'userCreate',
      showOverflowTooltip: true
    },
    {
      label: '执行时间',
      prop: 'usageTime',
      showOverflowTooltip: true,
      cellRenderer: ({ row }) => {
        return (
          <div>{ row.usageTime + '毫秒' }</div>
        )
      }
    },
    {
      label: '请求URL',
      prop: 'url',
      showOverflowTooltip: true
    },
    {
      label: '请求的方法名',
      prop: 'umethodNamerl',
      showOverflowTooltip: true
    },
    {
      label: '操作模块',
      prop: 'operationModule',
      showOverflowTooltip: true
    },
    {
      label: '操作类型',
      showOverflowTooltip: true,
      prop: 'operationType',
    },
    {
      label: '操作说明',
      showOverflowTooltip: true,
      prop: 'description',
    },
    {
      label: '请求的参数',
      showOverflowTooltip: true,
      prop: 'requestParams',
    },
    {
      label: '请求的结果',
      showOverflowTooltip: true,
      prop: 'result',
    },
    {
      label: '创建时间',
      showOverflowTooltip: true,
      prop: 'gmtCreate',
    }
  ]

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  return {
    columns,
    tableData,
    total
  }
}
